## makefile2graph 1.5.0

=== Makefile ===
prefix = /usr/local
bindir = $(prefix)/bin
sharedir = $(prefix)/share
docdir = $(sharedir)/doc
pkgdocdir = $(sharedir)/makefile2graph
mandir = $(sharedir)/man
man1dir = $(mandir)/man1

bin_PROGRAMS = make2graph
bin_SCRIPTS = makefile2graph
pkgdoc_DATA = LICENSE README.md screenshot.png
man1_MANS = make2graph.1

CFLAGS ?= -O3 -Wall

.PHONY: all clean install test
.DELETE_ON_ERROR:

all: $(bin_PROGRAMS)

clean:
	rm -f $(bin_PROGRAMS)

install:
	install -d $(DESTDIR)$(bindir) $(DESTDIR)$(pkgdocdir) $(DESTDIR)$(man1dir)
	install $(bin_PROGRAMS) $(bin_SCRIPTS) $(DESTDIR)$(bindir)
	install $(pkgdoc_DATA) $(DESTDIR)$(pkgdocdir)
	install $(man1_MANS) $(DESTDIR)$(man1dir)

test: all
	$(MAKE) -Bnd | ./make2graph | dot
	$(MAKE) -Bnd | ./make2graph --format x
	$(MAKE) -Bnd | ./make2graph --format l
	$(MAKE) -Bnd | ./make2graph --format e
	$(MAKE) -Bnd | ./make2graph --root
	PATH=.:$(PATH) ./makefile2graph
	PATH=.:$(PATH) ./makefile2graph -B

=== debian/changelog ===
makefile2graph (1.5.0-2) unstable; urgency=medium

  * No-changes source upload.

 -- Andrius Merkys <merkys@debian.org>  Mon, 07 Dec 2020 00:27:29 -0500

makefile2graph (1.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #976259)

 -- Andrius Merkys <merkys@debian.org>  Wed, 02 Dec 2020 01:52:13 -0500

=== debian/tests/control ===
Tests: upstream
Depends:
 graphviz,
 make,
 @,

## makefile2graph 2021.11.06

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 bin_PROGRAMS = make2graph
 bin_SCRIPTS = makefile2graph
 pkgdoc_DATA = LICENSE README.md screenshot.png
-man1_MANS = make2graph.1
+man1_MANS = make2graph.1 makefile2graph.1
 
 CFLAGS ?= -O3 -Wall

=== debian/changelog ===
makefile2graph (2021.11.06-1) unstable; urgency=medium

  [ Jenkins ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Andrius Merkys ]
  * New upstream version 2021.11.06
  * Bumping copyright years.

 -- Andrius Merkys <merkys@debian.org>  Sun, 07 Nov 2021 11:41:16 -0500

=== debian/control ===
Source: makefile2graph
Section: misc
Priority: optional
Maintainer: Andrius Merkys <merkys@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 graphviz <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://github.com/lindenb/makefile2graph
Vcs-Browser: https://salsa.debian.org/debian/makefile2graph
Vcs-Git: https://salsa.debian.org/debian/makefile2graph.git
Rules-Requires-Root: no

Package: makefile2graph
Architecture: any
Depends:
 make,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 graphviz,
Description: creates a graph of dependencies from GNU-Make
 Output is a graphviz-dot file, a Gexf-XML file or a list of the deepest
 independent targets that should be made. Sub-makefiles are not supported.

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# No need to install, dh_install will collect files
override_dh_auto_install:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%makefile2graph-$1.tar.gz%" \
 https://github.com/lindenb/makefile2graph/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
